Issue 85363 - tools: valgrind in Date loaded from resource file
Summary: tools: valgrind in Date loaded from resource file
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: 680m242
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: mikhail.voytenko
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-18 13:01 UTC by caolanm
Modified: 2008-02-28 08:45 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch to fix (527 bytes, patch)
2008-01-18 13:02 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2008-01-18 13:01:30 UTC
The Date ctor from a resmgr uses SetYear, SetMonth and SetDay all of which
reference the nDate that they then reset the year/month/day component of but
nDate is uninitialized. We get away with it because we always set all of them,
but it causes a correct valgrind warning.

Trivial patch to fix
Comment 1 caolanm 2008-01-18 13:02:03 UTC
Created attachment 50966 [details]
patch to fix
Comment 2 carsten.driesner 2008-01-21 08:55:30 UTC
cd: Set target to OOo 3.0.

cd->cmc: Thanks for your patch. I will check it as soon as possible.
Comment 3 carsten.driesner 2008-01-21 13:43:10 UTC
cd: Patch accepted and applied. Added issue to CWS fwk81.
Comment 4 carsten.driesner 2008-02-15 07:58:15 UTC
cd->mav: Please verify changes made by Coalan.
Comment 5 mikhail.voytenko 2008-02-15 08:01:11 UTC
Verified.
Comment 6 mikhail.voytenko 2008-02-28 08:45:23 UTC
.